Skip to main content

List Batch Jobs (V2)

This operation lists batch jobs associated with a Zilliz Cloud cluster.

GET/v2/jobs
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
typestringqueryrequired

The job type to list. Set this parameter to SPARK.

Example Value: SPARK
clusterIdstringqueryrequired

The Zilliz Cloud cluster whose batch jobs you want to list.

Example Value: in01-xxxxxxxxxxxxxxx
regionIdstringquery

The cloud region of the Zilliz Cloud cluster. If specified, it must match the region of clusterId.

Example Value: aws-us-west-2
currentPageintegerquery

The page number. The default value is 1.

Example Value: 1
pageSizeintegerquery

The number of jobs per page. The default value is 20 and the maximum value is 100.

Example Value: 20
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/jobs?type=SPARK&clusterId=in01-xxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a list of batch jobs.

One of the alternative object shapes the response body may take; a single shape applies per response.

codeinteger

Response code.

dataobject

Response payload that contains batch jobs and the total count.

totalinteger

Total number of jobs.

Example Value: 1
itemsarray

Batch job summaries.

[]itemsobject

Summary information about a batch job.

jobIdstringrequired

The job ID.

projectIdstringrequired

The project ID the job belongs to.

typestringrequired

The job type.

descriptionstring

The job description.

statusstringrequired

The job status.

regionIdstringrequired

The cloud region ID.

clusterIdstring

The cluster ID.

createdAtstring

Creation time (ISO 8601).

startedAtstring

Start time (ISO 8601).

finishedAtstring

Finish time (ISO 8601).

durationSecondsinteger<int64>

The duration in seconds.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {
"total": 1,
"items": [
{
"jobId": "job-xxxxxxxxxxxxxxxxxx",
"type": "SPARK",
"description": "daily-vector-etl",
"status": "RUNNING",
"regionId": "aws-us-west-2",
"clusterId": "in01-xxxxxxxxxxxxxxx",
"createdAt": "2026-05-20T10:00:00Z",
"startedAt": "2026-05-20T10:01:00Z",
"finishedAt": null,
"durationSeconds": 300,
"projectId": "proj-xxxxxxxxxxxxxxxxxxxx"
}
]
}
}